<form [formGroup]="activityForm" (ngSubmit)="addEditActivity()">
  <mat-card class="form-container">
    <mat-card-header>
      <mat-card-title>{{formTitle}}</mat-card-title>
    </mat-card-header>
    
    <mat-form-field>
      <textarea matInput placeholder="Name" formControlName="name"></textarea>
    </mat-form-field>

    <mat-form-field>
      <textarea matInput placeholder="Description" formControlName="description"></textarea>
    </mat-form-field>

    <mat-form-field>
      <textarea matInput placeholder="Start Date" formControlName="startDate"></textarea>
    </mat-form-field>

    <mat-form-field>
      <textarea matInput placeholder="Due Date" formControlName="dueDate"></textarea>
    </mat-form-field>

    <mat-form-field>
      <textarea matInput placeholder="Points Possible" formControlName="pointsPossible"></textarea>
    </mat-form-field>

    <mat-form-field>
      <textarea matInput placeholder="Is Gradable" formControlName="isGradable"></textarea>
    </mat-form-field>

    <mat-form-field>
      <textarea matInput placeholder="Is Active" formControlName="isActive"></textarea>
    </mat-form-field>

    <mat-form-field>
      <textarea matInput placeholder="Created At" formControlName="createdAt"></textarea>
    </mat-form-field>

    <mat-form-field>
      <textarea matInput placeholder="Updated At" formControlName="updatedAt"></textarea>
    </mat-form-field>

    <mat-form-field>
      <textarea matInput placeholder="Course Id" formControlName="courseId"></textarea>
    </mat-form-field>

    <div class="command-btn-container" fxLayout="row" fxLayoutAlign="end center" fxLayoutGap="10px">
      <button mat-raised-button color="primary">{{submitBtnText}}</button>
      <button mat-raised-button color="basic" (click)="backToActivities()">{{CancelBtnText}}</button>
    </div>

  </mat-card>
</form>
